| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
LoggingService

## Classes
struct | unsp__CreateLogClientRequest
| Create LogClient request. More...
struct | unsp__CreateLogClientResult
| Create LogClient result. More...
struct | unsp__ModifyLogClientRequest
| Modify LogClient request. More...
struct | unsp__ModifyLogClientResult
| Modify LogClient result. More...
struct | unsp__DeleteLogClientRequest
| Delete LogClient request. More...
struct | unsp__DeleteLogClientResult
| Delete LogClient result. More...
struct | unsp__LogClientEntry
| LogClientEntry data entry that holds the actual Logging Client data. More...
struct | unsp__GetLogClientRequest
| Get LogClient request. More...
struct | unsp__GetLogClientResult
| / Get LocationService result. More...
struct | unsp__QueryLogClientRequest
| Query LogClient request. More...
struct | unsp__LogClientList
| A list of Location Services. More...
struct | unsp__QueryLogClientResult
| Query LogClients result. More...
struct | unsp__GetLoggedEventsRequest
| Get logging event request. More...
struct | unsp__GetLoggedEventsResult
| Get logging event result. More...
struct | unsp__SetLoggedEventsRequest
| Set/reset logging events request. More...
struct | unsp__SetLoggedEventsResult
| Set/reset logging events result. More...
struct | unsp__CreateLogServerRequest
| Create LogServer request. More...
struct | unsp__CreateLogServerResult
| Create LogServer result. More...
struct | unsp__ModifyLogServerRequest
| Modify LogServer request. More...
struct | unsp__ModifyLogServerResult
| Modify LogServer result. More...
struct | unsp__DeleteLogServerRequest
| Delete LogServer request. More...
struct | unsp__DeleteLogServerResult
| Delete LogServer result. More...
struct | unsp__LogServerEntry
| LogServerEntry data entry that holds the actual Logging Server data. More...
struct | unsp__GetLogServerRequest
| Get LogServer request. More...
struct | unsp__GetLogServerResult
| / Get LocationService result. More...
struct | unsp__QueryLogServerRequest
| Query LogServer request. More...
struct | unsp__LogServerList
| A list of Logging Servers. More...
struct | unsp__QueryLogServerResult
| Query LogServers result. More...

## Enumerations
enum | unsp__LogClientProtocol { LogClientProtocolHttp = 0 }
| The type of protocol for a Logging Client. More...
enum | unsp__LogServerProtocol { LogServerProtocolHttp = 0, LogServerProtocolHttps = 1 }
| The type of protocol for a Logging Server. More...
enum | unsp__LogServerWebService { LogServerWebServiceSOAP = 0 }
| The type of Web Service for a Logging Server. More...
enum | unsp__LogServerSchema { LogServerSchemaV2 = 0 }
| The type of Schema Version for a Logging Server. More...

## Functions
int | unsp__CreateLogClient (struct unsp__CreateLogClientRequest CreateLogClientRequest, struct unsp__CreateLogClientResult *CreateLogClientResult)
| Creates a Logging Client entry. More...
int | unsp__ModifyLogClient (struct unsp__ModifyLogClientRequest ModifyLogClientRequest, struct unsp__ModifyLogClientResult *ModifyLogClientResult)
| Modifies a Logging Client entry. More...
int | unsp__DeleteLogClient (struct unsp__DeleteLogClientRequest DeleteLogClientRequest, struct unsp__DeleteLogClientResult *DeleteLogClientResult)
| Deletes a Logging Client entry. More...
int | unsp__GetLogClient (struct unsp__GetLogClientRequest GetLogClientRequest, struct unsp__GetLogClientResult *GetLogClientResult)
| Gets a Logging Client entry. More...
int | unsp__QueryLogClient (struct unsp__QueryLogClientRequest QueryLogClientRequest, struct unsp__QueryLogClientResult *QueryLogClientResult)
| Queries/retrieves a list of Logging Client entries. More...
int | unsp__GetLoggedEvents (struct unsp__GetLoggedEventsRequest GetLoggedEventsRequest, struct unsp__GetLoggedEventsResult *GetLoggedEventsResult)
| Get logging events. More...
int | unsp__SetLoggedEvents (struct unsp__SetLoggedEventsRequest SetLoggedEventsRequest, struct unsp__SetLoggedEventsResult *SetLoggedEventsResult)
| Set/reset logging events. More...
int | unsp__CreateLogServer (struct unsp__CreateLogServerRequest CreateLogServerRequest, struct unsp__CreateLogServerResult *CreateLogServerResult)
| Creates a Logging Server entry. More...
int | unsp__ModifyLogServer (struct unsp__ModifyLogServerRequest ModifyLogServerRequest, struct unsp__ModifyLogServerResult *ModifyLogServerResult)
| Modifies a Logging Server entry. More...
int | unsp__DeleteLogServer (struct unsp__DeleteLogServerRequest DeleteLogServerRequest, struct unsp__DeleteLogServerResult *DeleteLogServerResult)
| Deletes a Logging Server entry. More...
int | unsp__GetLogServer (struct unsp__GetLogServerRequest GetLogServerRequest, struct unsp__GetLogServerResult *GetLogServerResult)
| Gets a Logging Server entry. More...
int | unsp__QueryLogServer (struct unsp__QueryLogServerRequest QueryLogServerRequest, struct unsp__QueryLogServerResult *QueryLogServerResult)
| Queries/retrieves a list of Logging Server entries. More...

## Detailed Description

## Enumeration Type Documentation

## ◆ unsp__LogClientProtocol

enum unsp__LogClientProtocol

The type of protocol for a Logging Client.

Enumerator
LogClientProtocolHttp | HTTP protocol.

## ◆ unsp__LogServerProtocol

enum unsp__LogServerProtocol

The type of protocol for a Logging Server.

Enumerator
LogServerProtocolHttp | HTTP protocol.
LogServerProtocolHttps | HTTPS protocol.

## ◆ unsp__LogServerSchema

enum unsp__LogServerSchema

The type of Schema Version for a Logging Server.

Enumerator
LogServerSchemaV2 | V2.

## ◆ unsp__LogServerWebService

enum unsp__LogServerWebService

The type of Web Service for a Logging Server.

Enumerator
LogServerWebServiceSOAP | SOAP.

## Function Documentation

## ◆ unsp__CreateLogClient()

unsp__CreateLogClient | ( | struct unsp__CreateLogClientRequest | CreateLogClientRequest,
|  | struct unsp__CreateLogClientResult * | CreateLogClientResult
| ) |  |

Creates a Logging Client entry.

Parameters

  CreateLogClientRequest | API request
  CreateLogClientResult | API result MP2 command: CLOGCLIENT [Attributes]

## ◆ unsp__CreateLogServer()

unsp__CreateLogServer | ( | struct unsp__CreateLogServerRequest | CreateLogServerRequest,
|  | struct unsp__CreateLogServerResult * | CreateLogServerResult
| ) |  |

Creates a Logging Server entry.

Parameters

  CreateLogServerRequest | API request
  CreateLogServerResult | API result MP2 command: CLOGSERVER [Attributes]

## ◆ unsp__DeleteLogClient()

unsp__DeleteLogClient | ( | struct unsp__DeleteLogClientRequest | DeleteLogClientRequest,
|  | struct unsp__DeleteLogClientResult * | DeleteLogClientResult
| ) |  |

Deletes a Logging Client entry.

Parameters

  DeleteLogClientRequest | API request
  DeleteLogClientResult | API result MP2 command: DLOGCLIENT [Attributes]

## ◆ unsp__DeleteLogServer()

unsp__DeleteLogServer | ( | struct unsp__DeleteLogServerRequest | DeleteLogServerRequest,
|  | struct unsp__DeleteLogServerResult * | DeleteLogServerResult
| ) |  |

Deletes a Logging Server entry.

Parameters

  DeleteLogServerRequest | API request
  DeleteLogServerResult | API result MP2 command: DLOGSERVER [Attributes]

## ◆ unsp__GetLogClient()

unsp__GetLogClient | ( | struct unsp__GetLogClientRequest | GetLogClientRequest,
|  | struct unsp__GetLogClientResult * | GetLogClientResult
| ) |  |

Gets a Logging Client entry.

Parameters

  GetLogClientRequest | API request
  GetLogClientResult | API result

## ◆ unsp__GetLoggedEvents()

unsp__GetLoggedEvents | ( | struct unsp__GetLoggedEventsRequest | GetLoggedEventsRequest,
|  | struct unsp__GetLoggedEventsResult * | GetLoggedEventsResult
| ) |  |

Get logging events.

Parameters

  GetLoggedEventsRequest | API request
  GetLoggedEventsResult | API result

## ◆ unsp__GetLogServer()

unsp__GetLogServer | ( | struct unsp__GetLogServerRequest | GetLogServerRequest,
|  | struct unsp__GetLogServerResult * | GetLogServerResult
| ) |  |

Gets a Logging Server entry.

Parameters

  GetLogServerRequest | API request
  GetLogServerResult | API result

## ◆ unsp__ModifyLogClient()

unsp__ModifyLogClient | ( | struct unsp__ModifyLogClientRequest | ModifyLogClientRequest,
|  | struct unsp__ModifyLogClientResult * | ModifyLogClientResult
| ) |  |

Modifies a Logging Client entry.

Parameters

  ModifyLogClientRequest | API request
  ModifyLogClientResult | API result MP2 command: MLOGCLIENT [Attributes]

## ◆ unsp__ModifyLogServer()

unsp__ModifyLogServer | ( | struct unsp__ModifyLogServerRequest | ModifyLogServerRequest,
|  | struct unsp__ModifyLogServerResult * | ModifyLogServerResult
| ) |  |

Modifies a Logging Server entry.

Parameters

  ModifyLogServerRequest | API request
  ModifyLogServerResult | API result MP2 command: MLOGSERVER [Attributes]

## ◆ unsp__QueryLogClient()

unsp__QueryLogClient | ( | struct unsp__QueryLogClientRequest | QueryLogClientRequest,
|  | struct unsp__QueryLogClientResult * | QueryLogClientResult
| ) |  |

Queries/retrieves a list of Logging Client entries.

Parameters

  QueryLogClientRequest | API request
  QueryLogClientResult | API result

## ◆ unsp__QueryLogServer()

unsp__QueryLogServer | ( | struct unsp__QueryLogServerRequest | QueryLogServerRequest,
|  | struct unsp__QueryLogServerResult * | QueryLogServerResult
| ) |  |

Queries/retrieves a list of Logging Server entries.

Parameters

  QueryLogServerRequest | API request
  QueryLogServerResult | API result

## ◆ unsp__SetLoggedEvents()

unsp__SetLoggedEvents | ( | struct unsp__SetLoggedEventsRequest | SetLoggedEventsRequest,
|  | struct unsp__SetLoggedEventsResult * | SetLoggedEventsResult
| ) |  |

Set/reset logging events.

Parameters

  SetLoggedEventsRequest | API request
  SetLoggedEventsResult | API result MP2 command: SETLOGGEDEVENTS [Attributes]